DMM jjb scripts
[ci-management.git] / jjb / dmm / include-raw-dmm-csit-functional-virl.sh
1 #########################################################################
2 #
3 # Copyright (c) 2018 Huawei Technologies Co.,Ltd.
4 # Licensed under the Apache License, Version 2.0 (the "License");
5 # you may not use this file except in compliance with the License.
6 # You may obtain a copy of the License at:
7 #
8 #     http://www.apache.org/licenses/LICENSE-2.0
9 #
10 # Unless required by applicable law or agreed to in writing, software
11 # distributed under the License is distributed on an "AS IS" BASIS,
12 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
13 # See the License for the specific language governing permissions and
14 # limitations under the License.
15 #########################################################################
16 #!/bin/bash
17
18 set -xeu -o pipefail
19
20 # Clone dmm and start tests
21 git clone https://gerrit.fd.io/r/dmm
22
23 # If the git clone fails, complain clearly and exit
24 if [ $? != 0 ]; then
25     echo "Failed to run: git clone https://gerrit.fd.io/r/dmm"
26     exit 1
27 fi
28
29 # Clone csit and start tests
30 git clone https://gerrit.fd.io/r/csit
31
32 # If the git clone fails, complain clearly and exit
33 if [ $? != 0 ]; then
34     echo "Failed to run: git clone https://gerrit.fd.io/r/csit"
35     exit 1
36 fi
37
38 # Move the dmm to the csit dir
39 sudo mv -f ./dmm/ ./csit/
40
41 cd csit
42
43 # execute dmm bootstrap script if it exists
44 if [ -e bootstrap-DMM.sh ]
45 then
46     # make sure that bootstrap-DMM.sh is executable
47     chmod +x bootstrap-DMM.sh
48     # run the script
49     ./bootstrap-DMM.sh
50 else
51     echo 'ERROR: No bootstrap-DMM.sh found'
52     exit 1
53 fi
54
55 # vim: ts=4 ts=4 sts=4 et :